Can't auto import with 13 EAP

Using latest 13 EAP and scala plugin 0.10.279, I constantly get these errors when trying to auto import:

Expected static method com.intellij.codeInsight.CodeInsightUtilBase.prepareFileForWrite(Lcom/intellij/psi/PsiFile;)Z: Expected static method com.intellij.codeInsight.CodeInsightUtilBase.prepareFileForWrite(Lcom/intellij/psi/PsiFile;)Z
java.lang.IncompatibleClassChangeError: Expected static method com.intellij.codeInsight.CodeInsightUtilBase.prepareFileForWrite(Lcom/intellij/psi/PsiFile;)Z
 at org.jetbrains.plugins.scala.annotator.intention.ScalaImportClassFix$ScalaAddImportAction$$anon$6.run(ScalaImportClassFix.scala:138)
 at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:347)
 at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
 at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:708)
 at java.awt.EventQueue.access$400(EventQueue.java:82)
 at java.awt.EventQueue$2.run(EventQueue.java:669)
 at java.awt.EventQueue$2.run(EventQueue.java:667)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
 at java.awt.EventQueue.dispatchEvent(EventQueue.java:678)
 at com.intellij.ide.IdeEventQueue.d(IdeEventQueue.java:701)
 at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:526)
 at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:349)
 at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
 at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
 at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
 at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)



java.lang.IncompatibleClassChangeError: Expected static method com.intellij.codeInsight.CodeInsightUtilBase.prepareFileForWrite(Lcom/intellij/psi/PsiFile;)Z
 at org.jetbrains.plugins.scala.annotator.intention.ScalaImportClassFix$ScalaAddImportAction$$anon$6.run(ScalaImportClassFix.scala:138)
 at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:347)
 at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
 at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:708)
 at java.awt.EventQueue.access$400(EventQueue.java:82)
 at java.awt.EventQueue$2.run(EventQueue.java:669)
 at java.awt.EventQueue$2.run(EventQueue.java:667)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
 at java.awt.EventQueue.dispatchEvent(EventQueue.java:678)
 at com.intellij.ide.IdeEventQueue.d(IdeEventQueue.java:701)
 at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:526)
 at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:349)
 at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
 at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
 at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
 at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
 at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

4 comments

Nightly program works only with IDEA 12.1.
Scala plugin version compatible with the latest IDEA 13 EAP will be updated later today.

Best regtads,
Alexander Podkhalyuzin.

0

Cool, thanks Alexander. Is it possible to have 13 EAP not update scala plugin versions meant for 12.1?

0

Finally I updated plugin for the latest IDEA 13 EAP.
Actually I still can't suggest to use Scala with IDEA 13. It's not in our top priority list. And additionally we haven't resources to test it more attentively then just to check that it runs. Of course it's the same version as release version for IDEA 12.1 (two branches are merged for such updates), but some instabilities are possible, because of IDEA 13 EAP changes.

Best regards,
Alexander Podkhalyuzin.

0

OK, thanks Alexander. Will go back to 12

0

Please sign in to leave a comment.